Subject: Re: [bug#69105] [PATCH] gnu: linux-libre-documentation: Fix compilation.

From: Leo Famulari <[email-masked]>
Date: Tue, 20 Feb 2024 20:34:45 -0500

On Tue, Feb 20, 2024 at 07:29:16PM +0100, Tomas Volf wrote:
> I see, I guess it was a mistake trying to fetch the patch in this way.  I've
> sent a v2 that just adds it into the patches/ directory.  I hope that will work
> fine.

I double-checked the hash and your original patch had the correct value.

For some reason, when the build farm tried to download the patch file
from the kernel infrastructure, the wrong data was received and the hash
did not match.

But when I downloaded the patch file "by hand" with `curl`, I received
the expected data.

Then, I applied your patch to a checkout of guix.git and successfully
built linux-libre-documentation with `./pre-inst-env [...]`.

So, I think your original patch is good.

Sometimes these transient errors occur. Including the patch directly in
our repo would be more reliable than fetching it, but there is the minor
negative effect of increasing the size of our codebase. I chose to fetch
the data in this case.

Thank you very much for working on this bug!

Patch version 1 pushed as b6f82b9ef1a3d51a39995598eab9f793656e9123